document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_19200
--- +++ @@ -6,6 +6,10 @@ fi } -function panetitle() { +function panename() { echo -en "\033k$@\033\\" } + +function panetitle() { + echo -en "\033]2;$@\033\\" +}
bash
d_bash_19201
--- +++ @@ -4,7 +4,7 @@ PWD=`pwd` DIR=`basename $PWD` -anaconda-build trigger moble/${DIR} +# anaconda-build trigger moble/${DIR} export CONDA_NPY=19 CONDA_PYs=( 27 34 )
bash
d_bash_19202
--- +++ @@ -28,4 +28,5 @@ # push a new base backup log "producing a new backup" -exec envdir "${WALE_ENV_DIR}" wal-e --aws-instance-profile backup-push "${PGDATA}" --pool-size ${POOL_SIZE} +# We reduce the priority of the backup for CPU consumption +exec nice -n 5 envdir "${WALE_ENV_DIR}" wal-e --aws-instance-pro...
bash
d_bash_19203
--- +++ @@ -8,3 +8,9 @@ # Run build docker build -t dhagberg/co811-base . /bin/rm -f Dockerfile +# Tag and push if given +if [ "$1" = "push" ]; then + docker push dhagberg/co811-base + docker tag dhagberg/co811-base svn.co811.org:5000/co811-base + docker push svn.co811.org:5000/co811-base +fi
bash
d_bash_19204
--- +++ @@ -27,8 +27,11 @@ # Improve history search with up and down keys. # Try typing ls # and then up and down arrows... joy! -bind '"\e[A":history-search-backward' -bind '"\e[B":history-search-forward' +# (not binding when not interactive shell (scp for ex)) +if [[ $- == *i* ]]; then + bind '"\e[A":history-se...
bash
d_bash_19205
--- +++ @@ -9,6 +9,8 @@ echo Service "$1" is not supported fi else + echo "Run 'awsinfo commands SERVICE' to see a list of all available commands for the SERVICE" + echo "e.g. 'awsinfo commands route53'" echosuccess Supported Services: ls $DIR/commands | sort | sed 's/^/ /' fi
bash
d_bash_19206
--- +++ @@ -17,12 +17,14 @@ cd ${DIR} echo '=functional==============================================' tox -e functional -FUNCTIONAL_RESULT=$? +FUNCTIONAL_RESULT=\$? echo '=examples================================================' tox -e examples -EXAMPLES_RESULT=$? +EXAMPLES_RESULT=\$? echo '==================...
bash
d_bash_19207
--- +++ @@ -8,10 +8,11 @@ #PATH export PATH=$PATH:$HOME/.cabal/bin export PATH=$PATH:$HOME/.gem/ruby/2.3.0/bin - + elif [[ "$os" = "$osx_str" ]]; then #PATH export PATH=$PATH:$HOME/Library/Haskell/bin + export PATH=$PATH:/Applications/Postgres.app/Contents/Versions/9.4/bin # Go ...
bash
d_bash_19208
--- +++ @@ -23,7 +23,7 @@ OCC=$(echo $line | cut -d ' ' -f2) for word in $WORDS; do echo "Translating $word" - /usr/bin/sed -ie "s/[[:<:]]$word[[:>:]]/$word ($TRANSLATION x$OCC)/g" $INPUT + /usr/bin/sed -ie "s/[[:<:]]$word[[:>:]]/$word ($TRANSLATION $OCC)/g" $INPUT echo "" ...
bash
d_bash_19209
--- +++ @@ -5,13 +5,18 @@ export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin" -function print_failure { +function check_failure { docker ps -a - for failed in $(docker ps -a --format "{{.Names}}" --filter status=exited); do - docker logs --tail=all $failed + failed_contai...
bash
d_bash_19210
--- +++ @@ -11,7 +11,10 @@ exit 1 fi -# Make sure the swiftshell script will use the newly built framework. +# Add the swiftshell script to the path +export PATH=$PROJECT_ROOT/Misc:$PATH + +# ... and make sure it uses the newly built framework. export SWIFTSHELL_FRAMEWORK_PATH=$PROJECT_ROOT/build/Release/ # ...
bash
d_bash_19211
--- +++ @@ -4,6 +4,7 @@ # Travis CI switches back to an old Ruby version for deployments. See: # https://docs.travis-ci.com/user/deployment/script/#Deployment-is-executed-by-Ruby-1.9.3 +source ~/.rvm/scripts/rvm rvm use default echo "cocoapods gem version: $(pod --version)" artifact_version=$(grep "version.*="...
bash
d_bash_19212
--- +++ @@ -2,10 +2,12 @@ set -e # Install source repositories as editable -for d in /src/*/ ; do - echo "Installing $d" - pip install -e "$d" -done +if [ "$(ls -A /src)" ]; then + for d in /src/*/ ; do + echo "Installing $d" + pip install -e "$d" + done +fi case $1 in uwsgi)
bash
d_bash_19213
--- +++ @@ -1,7 +1,8 @@ -#!/bin/bash -eu +#!/bin/bash LOCUST_CMD="/usr/local/bin/locust" LOCUST_OPTS="-f $SCENARIO_FILE" +LOCUST_MODE=${LOCUST_MODE:-standalone} if [ "$LOCUST_MODE" = "master" ]; then LOCUST_OPTS="$LOCUST_OPTS --master"
bash
d_bash_19214
--- +++ @@ -12,4 +12,4 @@ alias gsu='git submodule foreach git pull origin master' # Misc -alias retag='bundle list --paths=true | xargs ctags --extra=+f --exclude=.git --exclude=log -R *' +alias retag='bundle list --paths=true | xargs ctags --extra=+f --exclude=.git --exclude=log --languages=-javascript -R *'
bash
d_bash_19215
--- +++ @@ -7,6 +7,4 @@ export PIP_VIRTUALENV_BASE=$WORKON_HOME export PIP_RESPECT_VIRTUALENV=true -export PYTHONDONTWRITEBYTECODE=1 - source /usr/bin/virtualenvwrapper_lazy.sh
bash
d_bash_19216
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/AdoptOpenJDK/openjdk14-binaries/releases/download/jdk-14.0.2%2B12/OpenJDK14U-jdk_x64_linux_hotspot_14.0.2_12.tar.gz" ;; java15) - echo "https://github.com/AdoptOpenJDK/openjdk15-binaries/releases/download/jdk15-2020-07-28-23-03/OpenJDK15-jdk_x64_linux_hotsp...
bash
d_bash_19217
--- +++ @@ -11,6 +11,8 @@ --exclude "README.md" \ --exclude "getVimPlugins.sh" \ --exclude "brew.sh" \ + --exclude "xcode" \ + --exclude "vscode" \ --exclude "LICENSE-MIT.txt" \ -avh --no-perms . ~; source ~/.bash_profile;
bash
d_bash_19218
--- +++ @@ -5,5 +5,4 @@ zypper --non-interactive --gpg-auto-import-keys ref zypper -n in --no-recommends python-devel python-pip make bind-utils -pip install pytest mock - +pip install pytest mock==1.0.0
bash
d_bash_19219
--- +++ @@ -1,4 +1,5 @@ export BOUNDARY_SDK_HOME=$PWD +export BOUNDARY_SDK_VERSION=0.00.03 export BOUNDARY_MIB_REPOSITORY="$BOUNDARY_SDK_HOME/runtime/mibrepository" export PATH=$PATH:"$BOUNDARY_SDK_HOME/src/main/scripts" alias bsdk='cd $BOUNDARY_SDK_HOME'
bash
d_bash_19220
--- +++ @@ -3,7 +3,8 @@ set -ex -OCAML_VERSION=4.02.3 +export OCAML_VERSION=4.02 +export OPAM_INIT=false get() { @@ -49,12 +50,11 @@ # all of our packages that we can compile XS_ALL="$XS $XS_EXTRA" -opam config exec -- opam repository add local file://$PWD -opam config exec -- opam repository remove defa...
bash
d_bash_19221
--- +++ @@ -7,5 +7,6 @@ export SLIC3R_STATIC=1 export BOOST_DIR=/usr/local -perl ./Build.PL +#perl ./Build.PL +cpanm -v --local-lib local-lib Wx perl ./Build.PL --gui
bash
d_bash_19222
--- +++ @@ -7,12 +7,12 @@ git fetch origin master:master echo Modified files: - git diff --no-pager --name-only master + git --no-pager diff --name-only master echo ========== WHITELIST_REGEX='^(.travis.yml|ci|roles|playbooks\/provisioning)' - if git diff --no-pager --name-only mast...
bash
d_bash_19223
--- +++ @@ -10,7 +10,7 @@ # Reduce retention policy for faster publishing of stats $RABBITHOLE_RABBITMQCTL eval 'supervisor2:terminate_child(rabbit_mgmt_sup_sup, rabbit_mgmt_sup), application:set_env(rabbitmq_management, sample_retention_policies, [{global, [{605, 1}]}, {basic, [{605, 1}]}, {detailed, [{10,...
bash
d_bash_19224
--- +++ @@ -5,9 +5,9 @@ curl https://install.meteor.com | /bin/sh # Install Meteorite (use sudo if necessary) -printf "\n> npm install -g meteorite || { sudo -H npm install -g meteorite; }\n" -npm install -g meteorite || { sudo -H npm install -g meteorite; } +printf "\n> npm install -g meteorite@0.7.x || { sudo -...
bash
d_bash_19225
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash pip install \ - onsset + onsset \ + xlrd==1.2.0 jupyter nbconvert run.ipynb --to notebook --execute --stdout
bash
d_bash_19226
--- +++ @@ -22,3 +22,9 @@ gitbook build gitbook pdf ./ ./stroom-docs.pdf rsync -avr --delete --exclude '.git' ./_book/ ./build/ + +pushd build +git add --all +git commit -m 'Update gitbook generated html from master' +git push +popd
bash
d_bash_19227
--- +++ @@ -18,9 +18,10 @@ apt-get -y install python3-pip apt-get install locales # upgrade jdk -apt-get install openjdk-11-jre-headless +apt-get -y install openjdk-11-jre-headless -pip install mercurial +apt-get -y install mercurial + log "Extracting Bazel" # Only because first time it extracts the installa...
bash
d_bash_19228
--- +++ @@ -20,6 +20,10 @@ $(dirname $0)/../ci-scripts/transifex-commit-translations.pl ${translation} done +# Reset my own git config after shell run +git config user.email "hakan@gurkensalat.com" +git config user.name "Hakan Tandogan" + # Keep Jenkins happy so it won't mark the build as failed for no reaso...
bash
d_bash_19229
--- +++ @@ -11,12 +11,9 @@ sort <<\EOF | add -apply -archive bisect branch checkout -cherry-pick clone commit diff @@ -26,15 +23,12 @@ log merge mv -prune pull push rebase reset -revert rm show -show-branch status tag EOF
bash
d_bash_19230
--- +++ @@ -12,7 +12,7 @@ export PATH=/usr/local/bin:$PATH # install vim bundles -vim +BundleInstall +qall +vim +PluginInstall +qall pip install flake8 pip install virtualenv
bash
d_bash_19231
--- +++ @@ -2,8 +2,7 @@ # Prereqs sudo apt-get update -sudo apt-get install iftop htop iotop -sudo apt-get install davfs2 s3cmd zip +sudo apt-get install iftop htop iotop davfs2 s3cmd zip # Set up scratch disk sudo mkfs -t ext4 /dev/xvdb
bash
d_bash_19232
--- +++ @@ -15,6 +15,9 @@ echo "Copy test_data_3_1000.csv to current working directory" cp ./*/mlpack/neighbor_search/test_data_3_1000.csv . + +echo "Copy ARFF files for NBC test to current working directory" +cp ./*/mlpack/naive_bayes/*.arff . echo "Running All Tests:" for ML_TEST in ${TEST_BINS}
bash
d_bash_19233
--- +++ @@ -1,5 +1,5 @@ rm -rf Build/Windows mkdir -p Build/Windows cd Build/Windows -cmake -G "Visual Studio 14 Win64" ../.. +cmake -G "Visual Studio 15 Win64" ../.. cd ../..
bash
d_bash_19234
--- +++ @@ -2,5 +2,5 @@ output="$2" reaper -i "$input" -basename "$output" \ - -geom no-bc -3pa "" -tabu "" -nnn-check 3/5 -clean-length 16 -qqq-check 43/9 \ - -format-clean '%I%n%C%n+%n%Q%n' + -geom no-bc -3pa "" -tabu "" -nnn-check 3/5 -clean-length 16 \ + -qqq-check 43/9 -trim-length 30 -format-cle...
bash
d_bash_19235
--- +++ @@ -6,7 +6,7 @@ make distclean -export PATH=$PATH:../snapraid/contrib/cov-analysis-linux-8.5.0.1/bin +export PATH=$PATH:../snapraid/contrib/cov-analysis-linux64-2017.07/bin if ! cov-build --dir cov-int make; then exit 1
bash
d_bash_19236
--- +++ @@ -5,7 +5,7 @@ user="$2" pass="$3" -folders='CAF CAF.linaro-dev CAF.linux-arm-kernel CAF.linux-arm-msm CAF.linux-kernel CAF.devicetree CAF.linux-next' +folders='CAF CAF.linaro-dev CAF.linux-arm-kernel CAF.linux-arm-msm CAF.linux-kernel CAF.devicetree CAF.linux-next CAF.rtc-linux CAF.git' sfolder='' for...
bash
d_bash_19237
--- +++ @@ -18,3 +18,4 @@ alias -g A1='| awk '\''{print $1}'\' alias -g A2='| awk '\''{print $2}'\' alias -g A3='| awk '\''{print $3}'\' +alias -g NC='| sed -r "s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m|K]//g"' # remove color
bash
d_bash_19238
--- +++ @@ -10,13 +10,18 @@ mkdir -p $MIRROR_OUTPUT_DIR pushd $MIRROR_OUTPUT_DIR -wget --no-verbose --inet4-only --recursive --level=inf --no-remove-listing --adjust-extension ${LEX_PROTOCOL}${LEX_INSTANCE} +wget --no-verbose --inet4-only --recursive --level=inf \ + --no-remove-listing --adjust-extension ${LEX_PR...
bash
d_bash_19239
--- +++ @@ -20,4 +20,4 @@ echo "*********** javascript ***************" echo "**********************************" cd mysite/static/js_test -qq +./qq
bash
d_bash_19240
--- +++ @@ -2,4 +2,12 @@ # This is an internal script used by scripts/build-ghcjs-deps.sh. PATH=/opt/ghcjs/0.1.0/lts-1.0/bin:$PATH cabal --config-file=cabal-ghcjs-config update -PATH=/opt/ghcjs/0.1.0/lts-1.0/bin:$PATH cabal --config-file=cabal-ghcjs-config install --ghcjs deps/ghcjs-react/ deps/ide-backend/ide-ba...
bash
d_bash_19241
--- +++ @@ -3,6 +3,7 @@ if [ "${TRAVIS_PULL_REQUEST}" = "false" -a "${TRAVIS_BRANCH}" = "master" ]; then version=$(grep '^ *"version":' node_modules/vivliostyle/package.json | sed -e 's/^.*"\([^"]*\)",$/\1/') + version=$(echo ${version} | sed -e 's/\.0$//') scripts/make-dist-package.sh ${version} ...
bash
d_bash_19242
--- +++ @@ -6,7 +6,7 @@ GALAXY_SLOTS="$SLURM_NTASKS" elif [ -n "$NSLOTS" ]; then GALAXY_SLOTS="$NSLOTS" -elif [ -n "$PBS_NCPUS" ] then +elif [ -n "$PBS_NCPUS" ]; then GALAXY_SLOTS="$PBS_NCPUS" elif [ -f "$PBS_NODEFILE" ]; then GALAXY_SLOTS=`wc -l < $PBS_NODEFILE`
bash
d_bash_19243
--- +++ @@ -34,6 +34,7 @@ framed \ catchfile \ letltxmacro \ + kvoptions \ lastpage # Keep no backups (not required, simply makes cache bigger)
bash
d_bash_19244
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -curl -O "https://s3.amazonaws.com/owh-stat-data/versions/1.0.1/cache.tgz" && \ +curl -O "https://s3.amazonaws.com/owh-stat-data/versions/1.0.2/cache.tgz" && \ rm -rf cache && \ tar -xvzf cache.tgz && \ pip install -e .
bash
d_bash_19245
--- +++ @@ -35,3 +35,25 @@ # Cleanup. popd rm -rf "$TMP_DIR" + +# Initialize new ember addon and install ember-flexberry. +mkdir -p "$TMP_DIR" +rm -rf "$TMP_DIR/*" +pushd "$TMP_DIR" + +ember addon new-addon-for-tests +pushd new-addon-for-tests +ember install "${ADDON_DIR}" +rm -f ./ember-cli-build.js +cp "${ADDON_...
bash
d_bash_19246
--- +++ @@ -17,4 +17,4 @@ ./spamm_multiply_44 >> scaling_test.output ./spamm_multiply_48 >> scaling_test.output -grep SpAMM_SCALING scaling_test.output > scaling_test.dat +grep SpAMM_SCALING scaling_test.output | awk '{print $2, $3}' > scaling_test.dat
bash
d_bash_19247
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -source ../functions-gbp +source functions-gbp set -x
bash
d_bash_19248
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash set -e - +set -x export GOOGLE_CREDENTIALS_FILE="/tmp/google-account.json" export GCLOUD_PROJECT="terraform-ci-acc-tests" export TF_ACC=1 @@ -15,15 +15,11 @@ # to disk for use in tests. echo "${google_json_account}" > /tmp/google-account.json -set -x # Create ...
bash
d_bash_19249
--- +++ @@ -1,6 +1,12 @@ OPENCV_PREFIX=/Users/b/Documents/src-not-saved/opencv-3.2.0_prefix/ +export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${OPENCV_PREFIX}/lib/ + g++ --std=c++11 opencv_py_optical_flow.cpp -L${OPENCV_PREFIX}/lib/ -I${OPENCV_PREFIX}/include -lopencv_core -lopencv_imgproc -lopencv_video -lopencv_imgcode...
bash
d_bash_19250
--- +++ @@ -10,7 +10,7 @@ config_file=$1 echo "Starting the database" -su -c '${POSTGRESDIR}pg_ctl --pgdata ${DATABASEDIR}chatalytics --log ${DATABASEDIR}chatalytics/db-logfile -w start' postgres +su -c '${POSTGRESDIR}pg_ctl --pgdata ${DATABASEDIR}chatalytics --log ${DATABASEDIR}chatalytics/db-logfile -w restart'...
bash
d_bash_19251
--- +++ @@ -8,5 +8,5 @@ if [ $TRAVIS_TAG ] then npm run-script package - sha256sum $TRAVIS_BUILD_DIR/build/binaries/* > $TRAVIS_BUILD_DIR/shasums_$TRAVIS_JOB_NUMBER.txt + shasum -a256 $TRAVIS_BUILD_DIR/build/binaries/* > $TRAVIS_BUILD_DIR/shasums_$TRAVIS_JOB_NUMBER.txt fi
bash
d_bash_19252
--- +++ @@ -1,3 +1,5 @@ +#!/usr/bin/env bash + # First argument is path to common.sh common_path=$1 @@ -8,7 +10,9 @@ fi source "$common_path" -stack exec cardano-explorer -- `dht_config rand 0` \ +cmd="stack exec cardano-explorer -- `dht_config rand 0` \ --rebuild-db \ - --flat-distr "($n, 100000)...
bash
d_bash_19253
--- +++ @@ -6,4 +6,4 @@ # + ./runAllTests.sh # rm: missing operand # Try `rm --help' for more information. -PYTHONPATH=. python -m unittest discover -s emission/tests -p Test*; +PYTHONPATH=. python -m unittest discover -s emission/individual_tests -p Test*;
bash
d_bash_19254
--- +++ @@ -3,16 +3,17 @@ cd "$(dirname "$0")" set -e -elm-package install -y VERSION_DIR="$(ls elm-stuff/packages/elm-lang/core/)" CORE_PACKAGE_DIR="elm-stuff/packages/elm-lang/core/$VERSION_DIR" CORE_GIT_DIR="$(dirname $PWD)" +ELM_CONSOLE_VERSION_DIR="$(ls elm-stuff/packages/laszlopandy/elm-console/)" +ELM...
bash
d_bash_19255
--- +++ @@ -16,8 +16,13 @@ if [ "$SPARK_CMD" = "" ] then - echo '$SPARK_CMD'" is not defined" 1>&2 - exit 1 + SPARK_CMD="$(which spark-submit)" + _RET=$? + if [ $_RET -ne 0 ] + then + echo '$SPARK_CMD'" is not defined" 1>&2 + exit 1 + fi fi if [ ! -x "$SPARK_CMD" ]
bash
d_bash_19256
--- +++ @@ -1,5 +1,5 @@ #!/bin/sh -VERSION="devel" +VERSION="latest" (cd doc; make)
bash
d_bash_19257
--- +++ @@ -3,16 +3,13 @@ # Prompts the user for confirmation and sets up colours to suite current theme. # menu options -options="Cancel\nLock\nSleep\nLog out\nShutdown\nRestart" +options="Cancel\nSleep\nLog out\nShutdown\nRestart" # override the colours -theme="listview { lines: 6; } element selected.normal { ...
bash
d_bash_19258
--- +++ @@ -14,7 +14,7 @@ if test -z "$(getent passwd "$username")" then echo "Create user $username with disabled password (default behavior)" - sudo useradd --create-home --groups "$sudoers" "$username" + sudo useradd --create-home --shell /bin/bash --groups "$sudoers" "$username" else echo 'User enz exi...
bash
d_bash_19259
--- +++ @@ -22,10 +22,10 @@ expect_json_field_eq "1" line_count "${DATA}" echo "line 1" >> $LOGS/log1 -sleep 2 +sleep 1 uri_get /debug/vars -expect_json_field_eq "3" log_count "${DATA}" +expect_json_field_eq "2" log_count "${DATA}" expect_json_field_eq "2" line_count "${DATA}" pass
bash
d_bash_19260
--- +++ @@ -42,7 +42,7 @@ # run the quanto-core function run_chrome_mac_chrome_beta () { - CMD="/Applications/Google\ Chrome-beta.app/Contents/MacOS/Google\ Chrome --user-data-dir=${ROOT_DIR}/tmp/user_${USERNAME} --load-and-launch-app=${ROOT_DIR}/chrome/app --load-extension=${ROOT_DIR}/chrome/extension/src $@" ...
bash
d_bash_19261
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash -${PYTHON} setup.py install; +${PYTHON} -m pip install -vv .; ${PYTHON} setup.py test;
bash
d_bash_19262
--- +++ @@ -10,3 +10,6 @@ $THOR_SCRIPTS/rm_from_workspace.sh $THOR_ROOT/src/external/vigir_perception_msgs $THOR_SCRIPTS/rm_from_workspace.sh $THOR_ROOT/src/external/vigir_lidar_proc $THOR_SCRIPTS/rm_from_workspace.sh $THOR_ROOT/src/external/vigir_perception +$THOR_SCRIPTS/rm_from_workspace.sh $THOR_ROOT/src/exter...
bash
d_bash_19263
--- +++ @@ -16,7 +16,7 @@ /usr/bin/b2 authorize_account "$B2_ACCOUNT_ID" "$B2_APPLICATION_KEY" fi OUTPUT=`$@` - if [[ $OUTPUT != *"bad_auth_token"* ]]; then + if [[ $OUTPUT != *"bad_auth_token"* ]] && [[ $OUTPUT != *"expired_auth_token"* ]]; then AUTH_FAILED=0 fi EXIT_CODE=$?
bash
d_bash_19264
--- +++ @@ -16,5 +16,10 @@ # Perform preparations required to run e2e tests function prepare-e2e() { echo "Local doesn't need special preparations for e2e tests" 1>&2 +} +# Must ensure that the following ENV vars are set +function detect-master { + export KUBE_MASTER_IP="127.0.0.1" + export KUBE_MASTER="loca...
bash
d_bash_19265
--- +++ @@ -34,7 +34,7 @@ _withenv_resolve() { name="$1" - for f in "$name" "${WITHENV_DIR=$HOME/.withenv}/$name"; do + for f in "$name" "${WITHENV_DIR=$HOME/.withenv}/$name" "${WITHENV_DIR=$HOME/.withenv}/$name.bash" "${WITHENV_DIR=$HOME/.withenv}/$name.sh"; do if [ -f "$f" ]; then echo "$f" ...
bash
d_bash_19266
--- +++ @@ -4,7 +4,7 @@ bin/install-plugin-sdk-linux.sh if [[ "x$DOMAIN_VERSION" == "x" ]]; then - export DOMAIN_VERSION=`git describe --dirty="-dirty" --abbrev=12` + export DOMAIN_VERSION=`git describe --dirty="-dirty" --abbrev=12 --long` fi .sdk/bin/atlas-mvn "$@"
bash
d_bash_19267
--- +++ @@ -3,7 +3,7 @@ hash -d python3 ipython3 pip_upgrade () { - python3 -m pip install --index-url=https://pypi.wwts.com --upgrade --no-deps "$@" | grep -v -e already -e Looking -e [uU]ninstall -e [cC]ached -e [cC]ollecting -e build + python3 -m pip install --extra-index-url=https://pypi.wwts.com --upgr...
bash
d_bash_19268
--- +++ @@ -12,12 +12,12 @@ while true; do # fix our development.ini - if [ "$2" -eq "true" ]; then + if [ "$2" = "true" ]; then python -c "from ConfigParser import SafeConfigParser;cp = SafeConfigParser();cp.read('development.ini');cp.set('app:main', 'ckan.site_url', '$(ip route get 8.8.8.8 | awk 'NR==1 {pri...
bash
d_bash_19269
--- +++ @@ -10,7 +10,7 @@ echo xdebug.remote_enable=1 >> $PHP_INI_DIR/conf.d/xdebug.ini; \ echo xdebug.remote_autostart=0 >> $PHP_INI_DIR/conf.d/xdebug.ini; \ -echo xdebug.remote_port=9000 >> $PHP_INI_DIR/conf.d/xdebug.ini; \ +echo xdebug.remote_port=9001 >> $PHP_INI_DIR/conf.d/xdebug.ini; \ echo xdebug.remote_c...
bash
d_bash_19270
--- +++ @@ -6,7 +6,7 @@ case $MAIN in crawler) bundle check || bundle install --retry=3 --path=vendor/bundle \ - && bundle exec rake db:schema:load || bundle exec rake db:migrate + && bundle exec rake db:migrate bundle exec daimon_skycrawlers exec $MAIN ;...
bash
d_bash_19271
--- +++ @@ -6,6 +6,7 @@ printf '\e[32mInfo: Loading Schema\e[0m' bundle exec rake db:schema:load bundle exec rake jasmine:ci + bundle exec rubocop bundle exec rake spec printf "\e[33mInfo: Sleeping for two seconds to give CPU time to cool down and perhaps not fail on the cuke tasks because drop down l...
bash
d_bash_19272
--- +++ @@ -8,7 +8,7 @@ mkdir -p logs -DEV=true +DEV=false PID_FILE="$(pwd)/.python_pid" ACTIVE_WINDOW_FILE="$(pwd)/logs/activewin.txt"
bash
d_bash_19273
--- +++ @@ -2,7 +2,7 @@ # Remote debug: export JAVA_OPTS="-Xdebug -Xmx256m -Xrunjdwp:transport=dt_socket,address=8001,server=y,suspend=n" -export PORT="8081" +export PORT="${PORT:-8081}" # File reloading: export RESTOLINO_STATIC="src/main/web"
bash
d_bash_19274
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/sh ###########################################################################
bash
d_bash_19275
--- +++ @@ -22,6 +22,6 @@ [ $ret -eq 1 ] [ -f $stderr ] [ -s $stderr ] -cat $stderr | tail -n +4 | grep '^OpenSCAP Error:' +cat $stderr | tail -n +1 | grep '^OpenSCAP Error:' rm $stderr
bash
d_bash_19276
--- +++ @@ -1,4 +1,6 @@ #!/usr/bin/env bash + +cd $(dirname "$0") || exit 1 # We use an alternate regex delimiter because the webhook URL contains slashes sed -i "s|{SLACK_WEBHOOK_URL}|$SLACK_WEBHOOK|g" ../scripts/secrets.sh
bash
d_bash_19277
--- +++ @@ -15,6 +15,6 @@ BASE_URI='http://localhost:8000' \ HASHIDS_SALT='DEVELOPMENT-ONLY' \ - stack exec zoomhub -- +RTS -N2 -RTS & + stack exec zoomhub -- +RTS -N -RTS & echo $! > zoomhub.pid
bash
d_bash_19278
--- +++ @@ -5,7 +5,7 @@ print_header "Activating memcached extension" "Sylius" run_command "echo \"extension = memcached.so\" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini" || exit $? -run_command "echo \"memory_limit=4096M\" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini"...
bash
d_bash_19279
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash -sudo apt-get install mysql-server apache2 libapache2-mod-php5 php5 php5-mysql phpmyadmin +sudo apt-get install apache2 libapache2-mod-php5 mysql-server php5 php5-mysql \ +php5-mcrypt php5-gd php5-curl phpmyadmin if [ $(grep --count "/etc/phpmyadmin/apache.conf" \ "/etc/a...
bash
d_bash_19280
--- +++ @@ -6,7 +6,7 @@ alias gco='git checkout' alias gd='git diff' alias gf='git fetch --all --prune' -alias gfind='git ls-files' +alias ggf='git ls-files | grep' alias gg="git grep --ignore-case --line-number --full-name --color --break --heading --context 2 --show-function" alias gl='git pull' alias glog="g...
bash
d_bash_19281
--- +++ @@ -23,7 +23,7 @@ become: yes become_user: root vars: - kolla_namespace: "$RELEASE" + kolla_namespace: "tripleo${RELEASE}" kolla_push: true kolla_tag: "$TESTING_TAG" openstack_release: "$RELEASE"
bash
d_bash_19282
--- +++ @@ -2,6 +2,7 @@ alias vim="vim -p" alias ls="ls --color=auto" +alias b="bundle" alias e="$EDITOR" alias g="git" alias r="rails"
bash
d_bash_19283
--- +++ @@ -8,7 +8,8 @@ export Version=$(cat version)-ci-$(date +%Y%m%d%H%M%S) dotnet pack -c Release --output $PWD/artifacts/ci - dotnet nuget push artifacts/ci/*.nupkg -k $MYFEED_TOKEN -s https://www.myget.org/F/minicover/api/v3/index.json + #dotnet nuget push artifacts/ci/*.nupkg -k $MYFEED_TOKEN -s http...
bash
d_bash_19284
--- +++ @@ -1,12 +1,43 @@ # shell/aliases-darwin.sh # # @file Mac specific shell aliases. +# +# ----------------------------------------------------------------------- +# Table of Contents +# ----------------------------------------------------------------------- +# 1. Homebrew +# 2. Docker +# 3. macOS Application...
bash
d_bash_19285
--- +++ @@ -7,17 +7,26 @@ # Xcode alias ox='open *.xcodeproj' alias ow='open *.xcworkspace' +alias version_build='agvtool what-version -terse' +alias version_market='agvtool what-marketing-version -terse1' -# agvtool +function version_current() { + local build_version market_version + build_version=$(versi...
bash
d_bash_19286
--- +++ @@ -10,7 +10,7 @@ echo -e $COL_YELLOW"Setting up your macOS/Linux development environment..."$COL_RESET echo "------------------------------------------------" -chmod a+x setup/*.sh +chmod a+x ./**/*.sh SETUP_SCRIPTS=./setup/* for file in $SETUP_SCRIPTS; do @@ -22,7 +22,7 @@ # Shell Scripts ...
bash
d_bash_19287
--- +++ @@ -3,7 +3,11 @@ source $(dirname $0)/common.sh repository=$(pwd)/distribution-repository - +if [ -z "$(ls -A maven)" ]; then + echo "Maven cache not available." +else + echo "Maven cache found." +fi pushd git-repo > /dev/null ./mvnw clean deploy -U -Pfull -DaltDeploymentRepository=distribution::def...
bash
d_bash_19288
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash -pg_dumpall -U postgres -h localhost -p 5433 --globals-only --no-tablespaces > target/site/create-db.sql -pg_dump -U geodesy -h localhost -p 5433 --clean --create geodesydb >> target/site/create-db.sql +pg_dumpall -U postgres -h localhost -p 5434 --globals-only --no-tabl...
bash
d_bash_19289
--- +++ @@ -9,7 +9,7 @@ fi DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" -cd $DIR +cd "$DIR" export PYTHONPATH=../../../indra:.. twitter_cred="$model_name/twitter_cred.txt" gmail_cred="$model_name/gmail_cred.txt"
bash
d_bash_19290
--- +++ @@ -7,31 +7,35 @@ # test zsh pipe # test bash pipe +# test dash pipe # test zsh file # test bash file +# test dash file # Missing lines are failures # command to load the function and the mock for _emacsfun -loadcmd="source $(pwd)/emacs-read-stdin.sh && source $(pwd)/test-mocks.sh" +loadcmd=". $...
bash
d_bash_19291
--- +++ @@ -25,7 +25,7 @@ paster reactor sandbox.ini & paster setup-app sandbox.ini -paster serve sandbox.ini & +paster serve --reload sandbox.ini & sleep 5 echo "########################################"
bash
d_bash_19292
--- +++ @@ -1,5 +1,10 @@ cd vendor/onig +if [ "$npm_config_arch" == "x86_32" ]; then + CPPFLAGS=-m32 + CFLAGS=-m32 +fi ./configure +make clean make cp .libs/libonig.a ../../src/libonig.a cp oniguruma.h ../../src/oniguruma.h
bash
d_bash_19293
--- +++ @@ -10,7 +10,7 @@ printf "%03d%03d%03d" $(echo "$1" | tr '.' ' ') } -OPT=(--max_old_space_size=4096 -r dotenv/config) +OPT=(--max_old_space_size=3072 -r dotenv/config) if [ "$NODE_ENV" != "production" ]; then if [ ! -f "./.env" ]; then
bash
d_bash_19294
--- +++ @@ -4,10 +4,13 @@ HOME=${1:-.} OBJDIR=${2:-.} +# Pull in the environment from VERSION +. $HOME/../../../VERSION + FOP=$HOME/fop-1.0/fop XMLINPUT=$HOME/ironbee-reference-manual.xml OUTPUT=$OBJDIR/output -VERSION="0.6.0" +VERSION=$PKG_VERSION # Generate a clean directory structure rm -rf $OUTPUT
bash
d_bash_19295
--- +++ @@ -21,6 +21,7 @@ # Written by Nguyen Van Nguyen <nguyennv1981@gmail.com> echo "Build OpenPGP Zimbra Secure release zip" +rm -f openpgp_zimbra_secure.zip cd openpgp_zimbra_secure zip -r ../openpgp_zimbra_secure.zip * exit 0
bash
d_bash_19296
--- +++ @@ -7,4 +7,4 @@ license_key=$(python -c "print __import__('json').load(open('configuration.json'))['userservice']['geoip']['license_key']") rm configuration.json -./virtualenv/bin/python -m maxmindupdater geoip.mmdb $license_key GeoIP2-Country +./virtualenv/bin/python maxmindupdater/__main__.py geoip.mmdb...
bash
d_bash_19297
--- +++ @@ -1,3 +1,4 @@ +#!/bin/sh do_generate() { cd "$(dirname "$0")"
bash
d_bash_19298
--- +++ @@ -13,7 +13,6 @@ # Load oh-my-zsh plugins antigen bundles <<EOBUNDLES git - npm sudo zsh-users/zsh-syntax-highlighting unixorn/autoupdate-antigen.zshplugin
bash
d_bash_19299
--- +++ @@ -2,6 +2,7 @@ exec 2> /run/shm/init.log ### set the driver ### +insmod /home/pi/RaspberryPiMouse/lib/Pi?B+/`uname -r`/rtmouse.ko || insmod /home/pi/RaspberryPiMouse/src/drivers/rtmouse.ko sleep 1 chmod 666 /dev/rt*
bash